"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFocusedItemIndex = exports.getCurrentElementFocused = undefined;

var _from = require("babel-runtime/core-js/array/from");

var _from2 = _interopRequireDefault(_from);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getCurrentElementFocused = exports.getCurrentElementFocused = function getCurrentElementFocused() {
  return document.activeElement;
};

var getFocusedItemIndex = exports.getFocusedItemIndex = function getFocusedItemIndex(items) {
  var currentElementFocused = getCurrentElementFocused();
  var index = (0, _from2.default)(items).findIndex(function (item) {
    return item === currentElementFocused;
  });
  return index === -1 ? null : index;
};