'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var fromSnakeToCamelCase = exports.fromSnakeToCamelCase = function fromSnakeToCamelCase(string) {
  return string.replace(/(_\w)/g, function (m) {
    return m[1].toUpperCase();
  });
};
var fromCamelToSnakeCase = exports.fromCamelToSnakeCase = function fromCamelToSnakeCase(string) {
  return string.replace(/([A-Z])/g, function (s) {
    return '_' + s.toLowerCase();
  });
};