'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _cookie = require('cookie');

var _jsCookie = require('js-cookie');

var _jsCookie2 = _interopRequireDefault(_jsCookie);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var parse = function parse(cookie) {
  return (0, _cookie.parse)(cookie);
};
var get = function get(key) {
  return _jsCookie2.default.get(key);
};
var getJSON = function getJSON(key) {
  return _jsCookie2.default.getJSON(key);
};
var set = function set(key, val) {
  return _jsCookie2.default.set(key, val);
};
var remove = function remove(key) {
  return _jsCookie2.default.remove(key);
};

var cookie = {
  parse: parse,
  get: get,
  getJSON: getJSON,
  set: set,
  remove: remove
};

exports.default = cookie;